Subject: Re: [ippm] Last Call: <draft-ietf-ippm-2330-update-04.txt> (Advanced Stream and Sampling Framework for IPPM) to Informational RFC

From: <[email-masked]>
Date: Tue, 6 May 2014 13:31:00 +0200

Hi Al, hi Joachim,

sorry for being late with this comment. It's not technical and not purely editorial too.

If I get it right, section 4.3 uses a legal term "actionable" to describe metrics being used for 
fault location or fault isolation. I suggest to completely replace the word/concept "actionable" 
by "fault isolation". I think the purpose of the section is clarified by this change, rather 
than weakened. I'm not sure whether legal terminology like "actionable" should get part of 
IETF specifications and I personally prefer technical terminology. 

Regards,

Ruediger

---------

4.3 Actionable

   The IP Performance Metrics Framework [RFC2330] includes usefulness as
   a metric criterion:

   "...The metrics must be useful to users and providers in
   understanding the performance they experience or provide...".

   When considering measurements as part of a maintenance process,
   evaluation of measurement results for a path under observation can
   draw attention to potential performance problems "somewhere" on the
   path.  Anomaly detection is therefore an important phase and first
   step which already satisfies the usefulness criterion for many
   metrics.

   This concept of usefulness can be extended, becoming a sub-set of
   what we refer to as "actionable" criterion in the following.  Central
   to maintenance is the isolation of the root cause of reported
   anomalies down to a specific sub-path, link or host, and metrics
   should support this second step as well.  While detection of path
   anomaly may be the result of an on-going monitoring process, the
   second step of cause isolation consists of specific, directed on-
   demand measurements on components and sub-paths.  Metrics must
   support users in this directed search, becoming actionable:

   Metrics must enable users and operators to understand path
   performance and SHOULD help to direct corrective actions when
   warranted, based on the measurement results.

   Besides characterizing metrics, usefulness and actionable properties
   are also applicable to methodologies and measurements.

-----Ursprüngliche Nachricht-----
Von: ippm [mailto:[email-masked]] Im Auftrag von The IESG
Gesendet: Montag, 28. April 2014 23:55
An: IETF-Announce
Cc: [email-masked]
Betreff: [ippm] Last Call: <draft-ietf-ippm-2330-update-04.txt> (Advanced Stream and Sampling Framework for IPPM) to Informational RFC

The IESG has received a request from the IP Performance Metrics WG (ippm) to consider the following document:
- 'Advanced Stream and Sampling Framework for IPPM'
  <draft-ietf-ippm-2330-update-04.txt> as Informational RFC

The IESG plans to make a decision in the next few weeks, and solicits final comments on this action. Please send substantive comments to the [email-masked] mailing lists by 2014-05-12. Exceptionally, comments may be sent to [email-masked] instead. In either case, please retain the beginning of the Subject line to allow automated sorting.

Abstract

   To obtain repeatable results in modern networks, test descriptions
   need an expanded stream parameter framework that also augments
   aspects specified as Type-P for test packets.  This memo updates the
   IP Performance Metrics (IPPM) Framework RFC 2330 with advanced
   considerations for measurement methodology and testing.  The existing
   framework mostly assumes deterministic connectivity, and that a
   single test stream will represent the characteristics of the path
   when it is aggregated with other flows.  Networks have evolved and
   test stream descriptions must evolve with them, otherwise unexpected
   network features may dominate the measured performance.  This memo
   describes new stream parameters for both network characterization and
   support of application design using IPPM metrics.

The file can be obtained via
http://datatracker.ietf.org/doc/draft-ietf-ippm-2330-update/

IESG discussion can be tracked via
http://datatracker.ietf.org/doc/draft-ietf-ippm-2330-update/ballot/

No IPR declarations have been submitted directly on this I-D.

_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Tue, 6 May 2014 08:25:34 -0400

Hi Rüdiger,

It seems that there are multiple definitions of the term,
and it is associated with both legal and general contexts.
see
http://www.merriam-webster.com/dictionary/actionable
for example.

The main point of the section is to expand the concept of
usefulness by refining metrics to direct corrective actions.
Fault isolation is only a one of the possible actions, and
there are cases where the action would be to restore service
without a detailed investigation. The requirement wording
allows action in this more broad scope, and doesn't use the

>    warranted, based on the measurement results.

So, although there is a version of the definition for the legal
world, I think we can be comfortable based on the wording of the
section that this use is outside the realm of law (same as the 
context for virtually all RFCs).

regards,
Al

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, May 06, 2014 7:31 AM
> To: MORTON, ALFRED C (AL); [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: AW: [ippm] Last Call: <draft-ietf-ippm-2330-update-04.txt>
> (Advanced Stream and Sampling Framework for IPPM) to Informational RFC
> 
> Hi Al, hi Joachim,
> 
> Betreff: [ippm] Last Call: <draft-ietf-ippm-2330-update-04.txt> (Advanced
> Stream and Sampling Framework for IPPM) to Informational RFC
> 
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2014-05-12. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the beginning
> of the Subject line to allow automated sorting.
> 
> Abstract
> 
>

---

From: <[email-masked]>
Date: Tue, 6 May 2014 15:09:38 +0200

Hi Al,

thanks, I've read the entry and the comments on that page. 

The examples listed at the page are

   1 law : giving a reason to bring an action or a lawsuit against someone

       Firing people because of their age is actionable.

   2 chiefly US, formal : able to be used as a basis or reason for doing something

       We've received actionable information that the men are hiding in these mountains.

The second example still seems to bear proximity to prosecution, even actionable here 
doesn't have a legal context (right)? 

An excerpt of one of the comments:

    ...Actionable is first and foremost a legal term that has been diluted of its power 
       in that context by being used to mean any action taken,...

Also the german translations I could get from a popular translator were 
legal or indicated proximity to prosecution. That's why I commented.

I'm not a native speaker of course.

Regards,

Ruediger

-----Ursprüngliche Nachricht-----
Von: MORTON, ALFRED C (AL) [mailto:[email-masked]] 
Gesendet: Dienstag, 6. Mai 2014 14:26
An: Geib, Rüdiger; [email-masked]
Cc: [email-masked]; [email-masked]
Betreff: RE: [ippm] Last Call: <draft-ietf-ippm-2330-update-04.txt> (Advanced Stream and Sampling Framework for IPPM) to Informational RFC

Hi Rüdiger,

It seems that there are multiple definitions of the term, and it is associated with both legal and general contexts.
see
http://www.merriam-webster.com/dictionary/actionable
for example.

The main point of the section is to expand the concept of usefulness by refining metrics to direct corrective actions.

>    warranted, based on the measurement results.

So, although there is a version of the definition for the legal world, I think we can be comfortable based on the wording of the section that this use is outside the realm of law (same as the context for virtually all RFCs).

regards,
Al

> If I get it right, section 4.3 uses a legal term "actionable" to 
> describe metrics being used for fault location or fault isolation. I 
> suggest to completely replace the word/concept "actionable"
> by "fault isolation". I think the purpose of the section is clarified 
> by this change, rather than weakened. I'm not sure whether legal 
> terminology like "actionable"
> should get part of
> Betreff: [ippm] Last Call: <draft-ietf-ippm-2330-update-04.txt> 
> The IESG has received a request from the IP Performance Metrics WG 
> (ippm) to consider the following document:
> [email-masked] mailing lists by 2014-05-12. Exceptionally, comments may 
> be sent to [email-masked] instead. In either case, please retain the 
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
>

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Tue, 6 May 2014 13:14:31 -0400

Hi Rüdiger,

the M-W site also suggests synonyms:

    practical, applicable, applicative, applied, functional, practicable, serviceable, ultrapractical, usable (also useable), useful, workable, working

"useful" is the term we were trying to move beyond.  I'm looking at search
results that indicate the term is used to qualify investment strategies 
and business plans, beyond the maintenance orgs I know that use it.

This was worth a chuckle:  http://practicetrumpstheory.com/actionable-metrics/

Perhaps we could clarify that "actionable" as used here is not the term from law.

Al

> Sent: Tuesday, May 06, 2014 9:10 AM
> To: MORTON, ALFRED C (AL)
> Cc: [email-masked]; [email-masked]; [email-masked]
> Betreff: RE: [ippm] Last Call: <draft-ietf-ippm-2330-update-04.txt>
> It seems that there are multiple definitions of the term, and it is
> associated with both legal and general contexts.
> see
> The main point of the section is to expand the concept of usefulness by
> refining metrics to direct corrective actions.
> Fault isolation is only a one of the possible actions, and there are cases
> where the action would be to restore service without a detailed
> investigation. The requirement wording allows action in this more broad
> scope, and doesn't use the term "actionable" :
> 
> So, although there is a version of the definition for the legal world, I
> think we can be comfortable based on the wording of the section that this
> use is outside the realm of law (same as the context for virtually all
> RFCs).
> 
> regards,
> Al
> 
>

---

From: <[email-masked]>
Date: Wed, 7 May 2014 08:48:03 +0200

Hi Al,

I couldn't match the synonyms with the expalantions offerd, with the comments on that page or with the german translations (based on community input).

Taking a look at the "worth a chuckle" link:

   What is an Actionable Metric?

   An actionable metric is one that ties specific and repeatable actions to observed results. 

Sounds like useful or applicable for maintainance. 

Regards,

Ruediger

-----Ursprüngliche Nachricht-----
Von: MORTON, ALFRED C (AL) [mailto:[email-masked]] 
Gesendet: Dienstag, 6. Mai 2014 19:15
An: Geib, Rüdiger
Cc: [email-masked]; [email-masked]; [email-masked]
Betreff: RE: [ippm] Last Call: <draft-ietf-ippm-2330-update-04.txt> (Advanced Stream and Sampling Framework for IPPM) to Informational RFC

Hi Rüdiger,

"useful" is the term we were trying to move beyond.  I'm looking at search results that indicate the term is used to qualify investment strategies and business plans, beyond the maintenance orgs I know that use it.

Al

> The second example still seems to bear proximity to prosecution, even 
> actionable here doesn't have a legal context (right)?
> 
> Also the german translations I could get from a popular translator 
> were legal or indicated proximity to prosecution. That's why I commented.
> 
> The main point of the section is to expand the concept of usefulness 
> by refining metrics to direct corrective actions.
> Fault isolation is only a one of the possible actions, and there are 
> cases where the action would be to restore service without a detailed 
> investigation. The requirement wording allows action in this more 
> broad scope, and doesn't use the term "actionable" :
> 
> So, although there is a version of the definition for the legal world, 
> I think we can be comfortable based on the wording of the section that 
> this use is outside the realm of law (same as the context for 
> virtually all RFCs).
> 
> regards,
> Al
> 
> 
> > by "fault isolation". I think the purpose of the section is 
> > clarified by this change, rather than weakened. I'm not sure whether 
> > legal terminology like "actionable"
> > should get part of
> > The IESG plans to make a decision in the next few weeks, and 
> > solicits final comments on this action. Please send substantive 
> > comments to the [email-masked] mailing lists by 2014-05-12. 
> > Exceptionally, comments may be sent to [email-masked] instead. In 
> > either case, please retain the beginning of the Subject line to allow automated sorting.
> >
> > Abstract
> >
> >